Subject: Re: bug#34498: Confusing msgid " Running value is ~s.~%"

From: Ludovic Courtès <[email-masked]>
Date: Fri, 19 Apr 2019 10:06:18 +0200

Hi Florian,

"pelzflorian (Florian Pelz)" <[email-masked]> skribis:

> On Thu, Apr 18, 2019 at 06:37:34PM +0200, Ludovic Courtès wrote:
>> Can you suggest a better comment?
>> 
>
> Maybe: ;; TRANSLATORS: 'running' is the name of a variable.

That’s not quite true though (it’s a slot in the <service> class,
technically.)

I agree that “running value” is a confusing phrase.  That’s why I wrote
that it’s a PID most of the time, hoping that this would clarify it.

> I thought #:running describes the manner in which the service is
> running.  Maybe I misunderstand.

Yeah, it’s really just a PID:

--8<---------------cut here---------------start------------->8---
$ sudo herd status nscd
Status of nscd:
  It is started.
  Running value is 446.
  It is enabled.
  Provides (nscd).
  Requires (user-processes).
  Conflicts with ().
  Will be respawned.
--8<---------------cut here---------------end--------------->8---

We’ve just received new translations, so let’s see if that looks good.

Thanks,
Ludo’.